SW(4)

NAME
sw - NCR 5380 SCSI Weird Sun 4/100 on-board SCSI controller

SYNOPSIS
sw0 at obio0 addr 0xfa000000 level 3 (sun4/100)
#sw0 at obio0 addr 0xfa000000 level 3 flags 0x07 (sun4/100)
scsibus* at sw?

DESCRIPTION
The sw is the Sun 4/100 on-board SCSI controller based on the NCR 5380 chip, found only on Sun 4/100 workstations. The sw driver is actually implemented as part of the si(4) driver.

DEVICE FLAGS
0x01
    Use DMA (polled)
0x02
    Use DMA completion interrupts
0x04
    Allow disconnect/reconnect

The sw device flags may be OR'd together to enable any combination of the features listed above. If no flags are specified, the device will use polled DMA by default.

SEE ALSO
cd(4), ch(4), esp(4), intro(4), scsi(4), sd(4), si(4), st(4), uk(4)

HISTORY
The sw driver first appeared in NetBSD.

BUGS
The sw driver only supports polled DMA at this time.